////////////////////////////////////////
// Programming project code
// UniBw M, 2022, 2023, 2024
// www.unibw.de/inf2
// (c) Mark Minas (mark.minas@unibw.de)
////////////////////////////////////////

package pp.monopoly.notification;

import pp.monopoly.model.Board;
import pp.monopoly.model.Item;

/**
 * Event when an item gets removed.
 *
 * @param item the destroyed item
 */
public class ItemRemovedEvent {
    private final Item item;
    private final Board board;

    public ItemRemovedEvent(Item item, Board board) {
        this.item = item;
        this.board = board;
    }

    public Item getItem() {
        return item;
    }

    public Board getBoard() {
        return board;
    }
}


